#include <bits/stdc++.h>

using namespace std;

const int maxn = 1000005;

int n;
int fenwick[4 * maxn];

tuple<int, int, int> a[maxn];

int answer[maxn];

void update(int pos, int val) {
    while (pos <= n) {
        fenwick[pos] += val;
        pos += (pos & (-pos));
    }
}

int query(int pos) {
    int result = 0;

    while (pos >= 1) {
        result += fenwick[pos];
        pos -= (pos & (-pos));
    }

    return result;
}

bool cmp(tuple<int, int, int> X, tuple<int, int, int> Y) {
    if (get<1>(X) - get<0>(X) < get<1>(Y) - get<0>(Y)) return true;
    if (get<1>(X) - get<0>(X) > get<1>(Y) - get<0>(Y)) return false;
    return get<0>(X) <= get<0>(Y);
}

int main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    cin >> n;

    for (int i = 1; i <= n; ++i) {
        cin >> get<0>(a[i]) >> get<1>(a[i]);
        get<2>(a[i]) = i;

        update(i, +1);
    }

    sort(a + 1, a + n + 1, cmp);

    for (int i = 1; i <= n; ++i) {
        int l = get<0>(a[i]);
        int r = get<1>(a[i]);

        while (l <= r) {
            int mid = (l + r) / 2;

            if (query(mid) - query(get<0>(a[i]) - 1) >= 1) r = mid - 1;
            else l = mid + 1;
        }

        if (l == get<1>(a[i]) + 1) {
            cout << "NO\n";
            return 0;
        }

        answer[get<2>(a[i])] = l;

        update(l, -1);
    }

    cout << "YES\n";

    for (int i = 1; i <= n; ++i) cout << answer[i] << " "; cout << endl;

    return 0;
}
